## cozy-stack config

Show and manage configuration elements

### Synopsis

cozy-stack config allows to print and generate some parts of the configuration

### Options

```
  -h, --help   help for config
```

### Options inherited from parent commands

```
      --admin-host string   administration server host (default "localhost")
      --admin-port int      administration server port (default 6060)
  -c, --config string       configuration file (default "$HOME/.cozy.yaml")
      --host string         server host (default "localhost")
  -p, --port int            server port (default 8080)
```

### SEE ALSO

* [cozy-stack](cozy-stack.md)	 - cozy-stack is the main command
* [cozy-stack config decrypt-creds](cozy-stack_config_decrypt-creds.md)	 - Decrypt the given credentials cipher text with the specified decryption keyfile.
* [cozy-stack config decrypt-data](cozy-stack_config_decrypt-data.md)	 - Decrypt data with the specified decryption keyfile.
* [cozy-stack config encrypt-creds](cozy-stack_config_encrypt-creds.md)	 - Encrypt the given credentials with the specified decryption keyfile.
* [cozy-stack config encrypt-data](cozy-stack_config_encrypt-data.md)	 - Encrypt data with the specified encryption keyfile.
* [cozy-stack config gen-keys](cozy-stack_config_gen-keys.md)	 - Generate an key pair for encryption and decryption of credentials
* [cozy-stack config insert-asset](cozy-stack_config_insert-asset.md)	 - Inserts an asset
* [cozy-stack config ls-assets](cozy-stack_config_ls-assets.md)	 - List assets
* [cozy-stack config ls-contexts](cozy-stack_config_ls-contexts.md)	 - List contexts
* [cozy-stack config passwd](cozy-stack_config_passwd.md)	 - Generate an admin passphrase
* [cozy-stack config rm-asset](cozy-stack_config_rm-asset.md)	 - Removes an asset
* [cozy-stack config show-context](cozy-stack_config_show-context.md)	 - Show a context

